=head1 NAME

Goo::Canvas::Polyline

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Polyline



=cut

=head1 INTERFACES

  Goo::Canvas::Item



=cut


=head1 METHODS

=head2 item = Goo::Canvas::Polyline-E<gt>B<new> ($parent, $close_path, $points, ...)

=over

=item * $parent (Goo::Canvas::Item) 

=item * $close_path (boolean) 

=item * $points (arrayref) The points is an array reference that contains a flat points coordinates. If you want create a polyline without points, pass an empty array refer or undef.

=item * ... (list) 

=back



=head2 item = Goo::Canvas::Polyline-E<gt>B<new_line> ($parent, $x1, $y1, $x2, $y2, ...)

=over

=item * $parent (Goo::Canvas::Item) 

=item * $x1 (double) 

=item * $y1 (double) 

=item * $x2 (double) 

=item * $y2 (double) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'arrow-length' (double : default 5 : readable / writable)

The length of the arrows, as a multiple of the line width

=item 'arrow-tip-length' (double : default 4 : readable / writable)

The length of the arrow tip, as a multiple of the line width

=item 'arrow-width' (double : default 4 : readable / writable)

The width of the arrows, as a multiple of the line width

=item 'close-path' (boolean : default false : readable / writable)

If the last point should be connected to the first

=item 'end-arrow' (boolean : default false : readable / writable)

If an arrow should be displayed at the end of the polyline

=item 'height' (double : default 0 : readable / writable)

The height of the polyline

=item 'points' (Goo::Canvas::Points : default undef : readable / writable)

The array of points

=item 'start-arrow' (boolean : default false : readable / writable)

If an arrow should be displayed at the start of the polyline

=item 'width' (double : default 0 : readable / writable)

The width of the polyline

=item 'x' (double : default 0 : readable / writable)

The x coordinate of the left-most point of the polyline

=item 'y' (double : default 0 : readable / writable)

The y coordinate of the top-most point of the polyline

=back



=cut


=head1 SEE ALSO

L<Glib::Object>, L<Goo::Canvas::ItemSimple>


=cut


=head1 COPYRIGHT


Copyright (C) 2015 Gtk2-Perl Team




=cut

